# Uses of Interface
com.opensymphony.module.sitemesh.Decorator

Packages that use Decorator
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.mapper
com.opensymphony.sitemesh.compatability

## Uses of Decorator in com.opensymphony.module.sitemesh

Methods in com.opensymphony.module.sitemesh that return Decorator
Modifier and Type
Method
Description
`Decorator`
DecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Return appropriate `Decorator` for a certain Page.
`Decorator`
DecoratorMapper.`getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)`
Return a `Decorator` with given name.

## Uses of Decorator in com.opensymphony.module.sitemesh.mapper

Classes in com.opensymphony.module.sitemesh.mapper that implement Decorator
Modifier and Type
Class
Description
`class`
`DefaultDecorator`
Default implementation of Decorator.
Methods in com.opensymphony.module.sitemesh.mapper that return Decorator
Modifier and Type
Method
Description
`private Decorator`
PageDecoratorMapper.`getByProperty(javax.servlet.http.HttpServletRequest request, Page p, String name)`
`Decorator`
AbstractDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Delegate to parent.
`Decorator`
AgentDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
ConfigDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Retrieve `Decorator` based on 'pattern' tag.
`Decorator`
CookieDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
FrameSetDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
InlineDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
LanguageDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
NullDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Returns null.
`Decorator`
OSDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Attempts to find the correct decorator for Page page based on the UA-OS HTTP header in the request.
`Decorator`
PageDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
ParameterDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
PrintableDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
RobotDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
SessionDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
ConfigLoader.`getDecoratorByName(String name)`
Retrieve Decorator based on name specified in configuration file.
`Decorator`
AbstractDecoratorMapper.`getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)`
Delegate to parent.
`Decorator`
ConfigDecoratorMapper.`getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)`
Retrieve Decorator named in 'name' attribute.
`Decorator`
EnvEntryDecoratorMapper.`getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)`
Retrieves the `Decorator` specified by the decorator name.
`Decorator`
FileDecoratorMapper.`getNamedDecorator(javax.servlet.http.HttpServletRequest req, String name)`
`Decorator`
NullDecoratorMapper.`getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)`
Returns null.
Methods in com.opensymphony.module.sitemesh.mapper with parameters of type Decorator
Modifier and Type
Method
Description
`private void`
ConfigLoader.`storeDecorator(ConfigLoader.State newState, Decorator d)`

## Uses of Decorator in com.opensymphony.sitemesh.compatability

Fields in com.opensymphony.sitemesh.compatability declared as Decorator
Modifier and Type
Field
Description
`private final Decorator`
OldDecorator2NewDecorator.`oldDecorator`
Constructors in com.opensymphony.sitemesh.compatability with parameters of type Decorator
Modifier
Constructor
Description
``
`OldDecorator2NewDecorator(Decorator oldDecorator)`